Name:           btkbdd
Version:        1.3
Release:        1%{?dist}
Summary:        Bluetooth keyboard service

Group:          System Environment/Daemons
License:        GPL+
URL:            https://github.com/lkundrak/virtkbd/blob/master/btkbdd.pod
Source0:        https://github.com/downloads/lkundrak/virtkbd/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  bluez-libs-devel /usr/bin/pod2man
BuildRequires:  systemd-units
Requires:       udev systemd

%description
This tool starts a Bluetooth HID Keyboard service, serving keystrokes 
obtained via Linux Input subsystem's event device (evdev). In practical 
terms, it turns your Linux box with a physical keyboard into a Bluetooth 
keyboard, which can be used by various Bluetooth HID capable devices, 
including desktop or tablet computers, smart phones, game consoles and so 
on.

%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT


%postun
/sbin/systemctl daemon-reload


%files
%defattr(-,root,root,-)
%{_sbindir}/btkbdd
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-btkbdd.rules
%dir %{_localstatedir}/lib/btkbdd
%{_unitdir}/btkbdd@.service
%{_mandir}/man8/btkbdd.8.*
%doc COPYING


%changelog
* Thu Nov 22 2012 Lubomir Rintel <lkundrak@v3.sk> - 1.3-1
- Support systemd

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 09 2011 Lubomir Rintel <lkundrak@v3.sk> - 1.2-1
- Do not own rules.d (Volker Fröhlich, #772504)
- Change state directory location to match package name

* Wed Jan 04 2011 Lubomir Rintel <lkundrak@v3.sk> - 1.1-1
- Initial packaging
